Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class Utils

    java.lang.Object
      com.sun.mdm.index.parser.Utils

public class Utils
extends java.lang.Object

Nested Class Summary
`static class` | `Utils.Parameter`

Field Summary
`static java.lang.String` | `LEFT`
`static java.lang.String` | `LINE`
`static java.lang.String` | `mTagParameter`
`static java.lang.String` | `mTagParameterName`
`static java.lang.String` | `mTagParameters`
`static java.lang.String` | `mTagParameterType`
`static java.lang.String` | `mTagParameterValue`
`static java.lang.String` | `RIGHT`
`static java.lang.String` | `TAB`
`static java.lang.String` | `TAB2`
`static java.lang.String` | `TAB3`
`static java.lang.String` | `TAB4`
`static java.lang.String` | `TAB5`
`static java.lang.String` | `TAB6`
`static java.lang.String` | `TAB7`
`static java.lang.String` | `TAB8`

Constructor Summary
`Utils()`

Method Summary
`static void` | `createFolder(java.lang.String path)`
`static Utils.Parameter` | `createParameter(java.lang.String name, java.lang.String type, java.lang.String value)`
`static java.lang.String` | `endTag(java.lang.String name)`
`static java.lang.String` | `getSBRTableName(java.lang.String objectName)`
`static java.lang.String` | `getStrElementValue(org.w3c.dom.Node node)`
`static void` | `main(java.lang.String[] args)`
`static EDMType` | `parseEDMType(org.xml.sax.InputSource xmlSource)`
`static EIndexObject` | `parseEIndexObject(org.xml.sax.InputSource xmlSource)`
`static EIndexObject` | `parseEIndexObject(java.lang.String xmlPath)`
`static MasterType` | `parseMasterType(org.xml.sax.InputSource xmlSource)`
`static MatchFieldDef` | `parseMatchFieldDef(org.xml.sax.InputSource xmlSource)`
`static Utils.Parameter` | `parseParameter(org.w3c.dom.Node node)`
`static QueryType` | `parseQueryType(org.xml.sax.InputSource xmlSource)`
`static UpdateType` | `parseUpdateType(org.xml.sax.InputSource xmlSource)`
`static UpdateType` | `parseUpdateType(java.lang.String xmlPath)`
`static java.lang.String` | `quoteAttribute(java.lang.String name, java.lang.String value)`
`static java.lang.String` | `quoteElementAttribute(java.lang.String elementName, java.lang.String name, java.lang.String value)`
`static boolean` | `recursiveDelete(java.io.File d)` Recursively deletes a directory.
`static java.lang.String` | `startTag(java.lang.String name)`
`static java.lang.String` | `startTagNoLine(java.lang.String name)`
`static void` | `writeFile(java.lang.String path, java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final java.lang.String LEFT

See Also:
  Constant Field Values

### LINE

    public static final java.lang.String LINE

See Also:
  Constant Field Values

### mTagParameter

    public static final java.lang.String mTagParameter

See Also:
  Constant Field Values

### mTagParameterName

    public static final java.lang.String mTagParameterName

See Also:
  Constant Field Values

### mTagParameters

    public static final java.lang.String mTagParameters

See Also:
  Constant Field Values

### mTagParameterType

    public static final java.lang.String mTagParameterType

See Also:
  Constant Field Values

### mTagParameterValue

    public static final java.lang.String mTagParameterValue

See Also:
  Constant Field Values

### RIGHT

    public static final java.lang.String RIGHT

See Also:
  Constant Field Values

### TAB

    public static final java.lang.String TAB

See Also:
  Constant Field Values

### TAB2

    public static final java.lang.String TAB2

See Also:
  Constant Field Values

### TAB3

    public static final java.lang.String TAB3

See Also:
  Constant Field Values

### TAB4

    public static final java.lang.String TAB4

See Also:
  Constant Field Values

### TAB5

    public static final java.lang.String TAB5

See Also:
  Constant Field Values

### TAB6

    public static final java.lang.String TAB6

See Also:
  Constant Field Values

### TAB7

    public static final java.lang.String TAB7

See Also:
  Constant Field Values

### TAB8

    public static final java.lang.String TAB8

See Also:
  Constant Field Values

Constructor Detail

### Utils

    public Utils()

Method Detail

### createFolder

    public static void createFolder(java.lang.String path)
                             throws ParserException

  Parameters:
    `path` - target file path
  Throws:
    `ParserException` - parser exception

### createParameter

    public static Utils.Parameter createParameter(java.lang.String name,
                                                  java.lang.String type,
                                                  java.lang.String value)

### endTag

    public static java.lang.String endTag(java.lang.String name)

### getSBRTableName

    public static java.lang.String getSBRTableName(java.lang.String objectName)

  Parameters:
    `objectName` - object name
  Returns:
    String ret string

### getStrElementValue

    public static java.lang.String getStrElementValue(org.w3c.dom.Node node)

  Parameters:
    `node` - node
  Returns:
    String ret string

### main

    public static void main(java.lang.String[] args)

### parseEDMType

    public static EDMType parseEDMType(org.xml.sax.InputSource xmlSource)
                                throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret EDMType
  Throws:
    `ParserException` - exception

### parseEIndexObject

    public static EIndexObject parseEIndexObject(org.xml.sax.InputSource xmlSource)
                                          throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret EIndexObject
  Throws:
    `ParserException` - exception

### parseEIndexObject

    public static EIndexObject parseEIndexObject(java.lang.String xmlPath)
                                          throws ParserException

  Parameters:
    `xmlPath` - xml file path
  Returns:
    ret EIndexObject
  Throws:
    `ParserException` - exception

### parseMasterType

    public static MasterType parseMasterType(org.xml.sax.InputSource xmlSource)
                                      throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret MasterType
  Throws:
    `ParserException` - exception

### parseMatchFieldDef

    public static MatchFieldDef parseMatchFieldDef(org.xml.sax.InputSource xmlSource)
                                            throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret MatchFieldDef
  Throws:
    `ParserException` - exception

### parseParameter

    public static Utils.Parameter parseParameter(org.w3c.dom.Node node)

### parseQueryType

    public static QueryType parseQueryType(org.xml.sax.InputSource xmlSource)
                                    throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret QueryType
  Throws:
    `ParserException` - exception

### parseUpdateType

    public static UpdateType parseUpdateType(org.xml.sax.InputSource xmlSource)
                                      throws ParserException

  Parameters:
    `xmlSource` - object definition
  Returns:
    ret UpdateType
  Throws:
    `ParserException` - exception

### parseUpdateType

    public static UpdateType parseUpdateType(java.lang.String xmlPath)
                                      throws ParserException

  Parameters:
    `xmlPath` - xml file path
  Returns:
    ret UpdateType
  Throws:
    `ParserException` - exception

### quoteAttribute

    public static java.lang.String quoteAttribute(java.lang.String name,
                                                  java.lang.String value)

### quoteElementAttribute

    public static java.lang.String quoteElementAttribute(java.lang.String elementName,
                                                         java.lang.String name,
                                                         java.lang.String value)

### recursiveDelete

    public static boolean recursiveDelete(java.io.File d)

  Recursively deletes a directory.

  Parameters:
    `d` - a file or directory to delete
  Returns:
    true if succeeded, or falseotherwise;

### startTag

    public static java.lang.String startTag(java.lang.String name)

### startTagNoLine

    public static java.lang.String startTagNoLine(java.lang.String name)

### writeFile

    public static void writeFile(java.lang.String path,
                                 java.lang.String data)
                          throws ParserException

  Parameters:
    `path` - file path
    `data` - binary data
  Throws:
    `ParserException` - parser exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.